Subject: Re: bug#1913: Identifier after reserved word "raise" is not always highlighted in Ada-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 15 Jan 2009 21:16:58 -0500

> Did you have a performance problem with that regexp? I do not really
> believe that there is a reason to worry about it without some
> measurements. I have a 1.6 GHz CPU and want to take advantage of it. I
> think it should be able to recognize Ada identifiers as a type them.

Agreed: the right regexp doesn't seem to be significantly more complex.

        Stefan